CoCoAInterpreter: executable size

10 Mar 2020 11:06 - John Abbott

Status: Closed Start date: 10 Mar 2020

Priority: High Due date:  

Assignee: John Abbott % Done: 100%

Category: Cleaning Estimated time: 1.23 hour

Target version: CoCoA-5.3.0 Spent time: 1.20 hour

Description

Why is the last binary release for Linux about 81Mbyte when that for Mac is only 27Mbyte?

The Linux one is surely too large...

Related issues:

Related to CoCoA-5 - Bug #755: Find out how to compile statically on linux Closed 31 Jul 2015

History

#1 - 10 Mar 2020 11:09 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 20

After running strip on the executable the size dropped to 15Mbytes.  Wow!

Now, why is the Mac version so big?  ;-)

#2 - 10 Mar 2020 12:37 - John Abbott

So, should we put a stripped version of the executable in the official release, or leave the symbol table in there?

I believe the symbol table is useful only for debugging, and surely anyone who wants to debug CoCoA would download the full sources, right?

#3 - 10 Mar 2020 15:07 - John Abbott

- Assignee set to John Abbott

- Target version changed from CoCoA-5.4.0 to CoCoA-5.3.0

- % Done changed from 20 to 60

I have changed the release-linux.sh script so that it strips CoCoAInterpreter before making the TGZ file.

We can check this tomorrow before announcing the release... I expect it to be OK.

#4 - 10 Mar 2020 15:15 - John Abbott

- Related to Bug #755: Find out how to compile statically on linux added

#5 - 12 Mar 2020 13:36 - John Abbott

- Status changed from In Progress to Feedback

- % Done changed from 60 to 90

- Estimated time set to 0.99 h

Last night I made a release version (stripped, with statically linked libgmpxx.a, libgmp.a, libreadline.a, libtermcap.a and libtinfo.a).

Florian confirmed that it works fine on his Arch Linux computer.

28 Apr 2024 1/2



I hope that Matteo can confirm too.

#6 - 12 Mar 2020 22:17 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

- Estimated time changed from 0.99 h to 1.23 h

I have sent several stripped executables to Matteo; some have worked, some have not.

Anyway, I am now convinced that stripping the executable is reasonable for a standard distribution (since it makes the file so much smaller), and it

seems to be unrelated to the portability problems.

Closing.
